use gtk4 as gtk;

use std::str::FromStr;

use crate::{
    model::{models::SignalReduce, Error, Frequency, Result},
    model_utils::signal_reducer::*,
    view::components::input::Input,
};

use gtk::{
    prelude::{Cast, CastNone, EditableExt, ListItemExt, ObjectExt, WidgetExt},
    ColumnView, Entry, Label, ListItem, SignalListItemFactory,
};

pub fn get_error_message(error: Error) -> Option<&'static str> {
    match error.to_string().as_str() {
        "cannot parse float from empty string" => Some("Вы не ввели данные в поле/-я"),
        "invalid float literal" => Some("Вы ввели не корректные данные в поле/-я"),
        _ => None,
    }
}

